members.dev
Payment methods

List Payment Methods

Lists Payment Methods for linked Members

GET
/v1/payment-methods

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

member_id?|

When set, only payment methods owned by this linked member.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/portal/v1/payment-methods"
[
  {
    "id": "string",
    "type": "offline_cash",
    "is_default": true,
    "status": "active",
    "label": "string",
    "provider": "stripe",
    "is_off_session": false,
    "details": {},
    "member_id": "string",
    "offline_payment_method_definition": {
      "type": "offline_cash",
      "name": "string",
      "instructions": "string",
      "is_enabled": true,
      "id": "string",
      "created_at": null,
      "updated_at": null
    },
    "created_at": null,
    "updated_at": null,
    "detached_at": {}
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}